/*

Código fuente creado por JailDesigner (2020)
Empezado en Castalla el 15/07/2020.
Reescribiendo el código el 27/09/2022
Actualizando a la versión "Arcade Edition" en 08/05/2024

*/

#include <memory>  // Para make_unique, unique_ptr
#include <span>    // Para span

#include "director.hpp"  // Para Director

auto main(int argc, char* argv[]) -> int {
    // Crea el objeto Director
    auto director = std::make_unique<Director>(argc, std::span<char*>(argv, argc));

    // Bucle principal
    return Director::run();
}
